package com.jpsoft.picc.modules.base.dto;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel(value = "推广者信息")
public class PromoterDto {

    @ApiModelProperty(value = "累计客户数")
    private Integer companyNum;

    @ApiModelProperty(value = "本月客户数")
    private Integer monthCompanyNum;

    @ApiModelProperty(value = "累计生效保单额")
    private BigDecimal totalInsuranceFee;

    @ApiModelProperty(value = "本月生效保单额")
    private BigDecimal monthInsuranceFee;


    public Integer getCompanyNum() {
        return companyNum;
    }

    public void setCompanyNum(Integer companyNum) {
        this.companyNum = companyNum;
    }

    public Integer getMonthCompanyNum() {
        return monthCompanyNum;
    }

    public void setMonthCompanyNum(Integer monthCompanyNum) {
        this.monthCompanyNum = monthCompanyNum;
    }

    public BigDecimal getTotalInsuranceFee() {
        return totalInsuranceFee;
    }

    public void setTotalInsuranceFee(BigDecimal totalInsuranceFee) {
        this.totalInsuranceFee = totalInsuranceFee;
    }

    public BigDecimal getMonthInsuranceFee() {
        return monthInsuranceFee;
    }

    public void setMonthInsuranceFee(BigDecimal monthInsuranceFee) {
        this.monthInsuranceFee = monthInsuranceFee;
    }
}
