package com.jpsoft.picc.test;

import com.jpsoft.picc.modules.base.entity.JpCloudUser;
import com.jpsoft.picc.modules.base.service.JpCloudUserService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.Arrays;
import java.util.List;

@RunWith(SpringRunner.class)
@SpringBootTest
public class JpCloudUserTest {
    @Autowired
    private JpCloudUserService jpCloudUserService;

    @Test
    public void queryTest1(){
        List<JpCloudUser> userList = jpCloudUserService.findUserByNames(Arrays.asList("2142006","胡萝卜先生"));

        System.out.println(userList.size());
    }

    @Test
    public void queryTest2(){
        List<JpCloudUser> userList = jpCloudUserService.findUser("2142006",null,null);

        System.out.println(userList.size());
    }
}
