package com.jpsoft.picc.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.picc.modules.base.entity.InsuranceAgent;
import com.github.pagehelper.Page;
import com.jpsoft.picc.modules.common.dto.Sort;

public interface InsuranceAgentService {
	InsuranceAgent get(String id);
	boolean exist(String id);
	int insert(InsuranceAgent model);
	int update(InsuranceAgent model);
	int delete(String id);
	List<InsuranceAgent> list();
	List<InsuranceAgent> listByType(String type);
	Page<InsuranceAgent> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);
}