package com.jpsoft.picc.modules.auth.dto;

import com.jpsoft.picc.modules.base.entity.InsuranceDefinition;
import com.jpsoft.picc.modules.base.entity.Jobs;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel(value = "岗位及收费标准")
public class InsuranceJobsDTO {
    @ApiModelProperty(value = "岗位")
    private Jobs jobs;
    @ApiModelProperty(value = "收费标准(月)")
    private BigDecimal charges;
    @ApiModelProperty(value = "收费标准(年)")
    private BigDecimal chargesY;
    @ApiModelProperty(value = "投保人数")
    private Integer number;
    @ApiModelProperty(value = "保险费")
    private BigDecimal money;
}
