package com.jpsoft.picc.modules.auth.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jpsoft.picc.modules.base.entity.InsuranceDefinitionLimit;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
@ApiModel(value = "参保信息")
public class InsurancePolicyRecordDTO {
    private String id;
    private String policyId;
    private String opinion;
    private String processStatus;
    private Boolean delFlag;
    private String createBy;
    private String createByName;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private Date createTime;
    private String updateBy;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private Date updateTime;
    @ApiModelProperty(value = "状态:待制单50/待出单60/已出单70")
    private String status;
}
